/*
 * Image
 *
 * Index
 * - Img
 * - Native
 * - Placeholder
 */


:host {
  display: block;
  object-fit: contain;
}

/* NATIVE
 -------------------- */

.native-img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: inherit;
  object-position: inherit;
  visibility: visible;
  opacity: 1;
  transition: opacity 0.3s ease-in-out;
}

/* PLACEHOLDER
 -------------------- */

:host(.placeholder) {
  background: var(--road-grey-80);
}

:host(.placeholder) img {
  visibility: hidden;
  opacity: 0;
}
